
from PyQt5 import QtCore, QtGui, QtQml, QtQuick, QtWidgets
import sys
import os

currentFilePath = os.path.dirname(os.path.abspath(__file__))

app = QtWidgets.QApplication(sys.argv)

engine = QtQml.QQmlEngine(app)
rc = engine.rootContext()
component = QtQml.QQmlComponent(engine)

mainFilepath = os.path.join(currentFilePath, "plop.qml")
qmlFile = QtCore.QUrl("file:///" + mainFilepath)
component.loadUrl(qmlFile)

topLevelItem = component.create()
topLevelItem.show()

sys.exit(app.exec_())


